### Method

# Gtk Widget set_focusable

#### Declaration [src]

    void
    gtk_widget_set_focusable (
      GtkWidget* widget,
      gboolean focusable
    )

#### Description [src]

Specifies whether `widget` can own the input focus.

Widget implementations should set `focusable` to `TRUE` in their init() function if they want to receive keyboard input.

Note that having `focusable` be `TRUE` is only one of the necessary conditions for being focusable. A widget must also be sensitive and can-focus and not have an ancestor that is marked as not can-focus in order to receive input focus.

See gtk_widget_grab_focus() for actually setting the input focus on a widget.

Sets property | `Gtk.Widget:focusable`

#### Parameters

`focusable` | `gboolean`
| Whether or not `widget` can own the input focus.